### Enumeration

# Gio ResolverRecordType

since: 2.34

#### Declaration

    enum Gio.ResolverRecordType

#### Description

The type of record that `g_resolver_lookup_records()` or `g_resolver_lookup_records_async()` should retrieve. The records are returned as lists of `GVariant` tuples. Each record type has different values in the variant tuples returned.

`G_RESOLVER_RECORD_SRV` records are returned as variants with the signature `(qqqs)`, containing a `guint16` with the priority, a `guint16` with the weight, a `guint16` with the port, and a string of the hostname.

`G_RESOLVER_RECORD_MX` records are returned as variants with the signature `(qs)`, representing a `guint16` with the preference, and a string containing the mail exchanger hostname.

`G_RESOLVER_RECORD_TXT` records are returned as variants with the signature `(as)`, representing an array of the strings in the text record. Note: Most TXT records only contain a single string, but RFC 1035 does allow a record to contain multiple strings. The RFC which defines the interpretation of a specific TXT record will likely require concatenation of multiple strings if they are present, as with RFC 7208.

`G_RESOLVER_RECORD_SOA` records are returned as variants with the signature `(ssuuuuu)`, representing a string containing the primary name server, a string containing the administrator, the serial as a `guint32`, the refresh interval as a `guint32`, the retry interval as a `guint32`, the expire timeout as a `guint32`, and the TTL as a `guint32`.

`G_RESOLVER_RECORD_NS` records are returned as variants with the signature `(s)`, representing a string of the hostname of the name server.

Available since: 2.34

#### Members

`G_RESOLVER_RECORD_SRV`

  Look up DNS SRV records for a domain.

  - Value: `1`
  - Nickname: `srv`
  - Available since: 2.34
`G_RESOLVER_RECORD_MX`

  Look up DNS MX records for a domain.

  - Value: `2`
  - Nickname: `mx`
  - Available since: 2.34
`G_RESOLVER_RECORD_TXT`

  Look up DNS TXT records for a name.

  - Value: `3`
  - Nickname: `txt`
  - Available since: 2.34
`G_RESOLVER_RECORD_SOA`

  Look up DNS SOA records for a zone.

  - Value: `4`
  - Nickname: `soa`
  - Available since: 2.34
`G_RESOLVER_RECORD_NS`

  Look up DNS NS records for a domain.

  - Value: `5`
  - Nickname: `ns`
  - Available since: 2.34